﻿Imports System.Collections.ObjectModel
Imports System.Diagnostics
Partial Public Class MainPage
    Inherits PhoneApplicationPage
    'public static readonly DependencyProperty ImageListProperty = DependencyProperty.Register("ImageList", typeof(ImageList), typeof(MainPage), new FrameworkP);
    Public Shared Property ImageInfoList() As ObservableCollection(Of StorageImage)
    Public Property TextBoxList() As ObservableCollection(Of TextBox)


    ' Constructor
    Public Sub New()
        InitializeComponent()
        ImageInfoList = New ObservableCollection(Of StorageImage)()
        TextBoxList = New ObservableCollection(Of TextBox)()


        StorageHelper.GetBlobs()

        ImageList.DataContext = ImageInfoList

    End Sub

    Private Sub ImageList_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        'ObservableCollection<StorageImage> Images = (ObservableCollection<StorageImage>)sender;
        Dim lb As ListBox = CType(sender, ListBox)
        Dim img As StorageImage = CType(lb.SelectedItem, StorageImage)
        Debug.WriteLine(sender.GetType().ToString())

        ImageViewer.Source = img.Image
    End Sub
End Class
