﻿
Imports System.Windows.Media.Imaging
Imports System.Collections.Generic
Imports System.Xml.Linq

Public Class StorageHelper
    Public Shared AZURE_STORAGE_URL As String = "http://jofultz.blob.core.windows.net/filecabinet?comp=list"


    Public Shared Sub GetBlobs()
        Dim StorageClient As New WebClient()
        AddHandler StorageClient.DownloadStringCompleted, AddressOf StorageClient_DownloadBlobListCompleted
        StorageClient.DownloadStringAsync(New Uri(AZURE_STORAGE_URL, UriKind.Absolute))

    End Sub


    ''' <summary>
    ''' 
    ''' </summary>
    ''' Return XML in xDoc in the form:
    Private Shared Sub StorageClient_DownloadBlobListCompleted(ByVal sender As Object, ByVal e As DownloadStringCompletedEventArgs)
        Dim xDoc As XDocument = XDocument.Parse(e.Result)

        Dim ImageList As IEnumerable(Of StorageImage) = From Blob In xDoc.Descendants("Blob")
                                                        Select New StorageImage() With {.Name = Blob.Descendants("Name").First().Value, .Url = Blob.Descendants("Url").First().Value, .Image = New BitmapImage(New Uri(Blob.Descendants("Url").First().Value, UriKind.Absolute))}

        MainPage.ImageInfoList.Clear()
        For Each CurImg As StorageImage In ImageList
            MainPage.ImageInfoList.Add(CurImg)
        Next CurImg


    End Sub
End Class